#ifndef ADC_H_
#define ADC_H_

#include <stdint.h>
#include <stdbool.h>

/*
 * Initialize the analog-to-digital converter on pin.
 *
 * The pin can only be from PA0 to PA7.
 */
void adc_init(uint8_t pin, bool *hand_wave);

/*
 * Pauses the ADC.
 */
void adc_pause();

/*
 * Resumes hand wave detection.
 */
void adc_resume();

#endif
